Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.mapping
Class AbstractAuxiliaryDatabaseObject

    java.lang.Object
      org.hibernate.mapping.AbstractAuxiliaryDatabaseObject

All Implemented Interfaces:
  Serializable, AuxiliaryDatabaseObject, RelationalModel

Direct Known Subclasses:
  SimpleAuxiliaryDatabaseObject

    public abstract class AbstractAuxiliaryDatabaseObject

extends Object
implements AuxiliaryDatabaseObject

Convenience base class for `AuxiliaryDatabaseObject`s.

This implementation performs dialect scoping checks strictly based on dialect name comparisons. Custom implementations might want to do instanceof-type checks.

Author:
  Steve Ebersole
See Also:
  Serialized Form

Constructor Summary
`protected` | `AbstractAuxiliaryDatabaseObject()`
`protected` | `AbstractAuxiliaryDatabaseObject(HashSet dialectScopes)`

Method Summary
`void` | `addDialectScope(String dialectName)` Add the given dialect name to the scope of dialects to which this database object applies.
`boolean` | `appliesToDialect(Dialect dialect)` Does this database object apply to the given dialect?
`HashSet` | `getDialectScopes()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.mapping.RelationalModel
`sqlCreateString, sqlDropString`

Constructor Detail

### AbstractAuxiliaryDatabaseObject

    protected AbstractAuxiliaryDatabaseObject()

### AbstractAuxiliaryDatabaseObject

    protected AbstractAuxiliaryDatabaseObject(HashSet dialectScopes)

Method Detail

### addDialectScope

    public void addDialectScope(String dialectName)

  Description copied from interface: `AuxiliaryDatabaseObject`
  Add the given dialect name to the scope of dialects to which this database object applies.

  Specified by:
    `addDialectScope` in interface `AuxiliaryDatabaseObject`
  Parameters:
    `dialectName` - The name of a dialect.

### getDialectScopes

    public HashSet getDialectScopes()

### appliesToDialect

    public boolean appliesToDialect(Dialect dialect)

  Description copied from interface: `AuxiliaryDatabaseObject`
  Does this database object apply to the given dialect?

  Specified by:
    `appliesToDialect` in interface `AuxiliaryDatabaseObject`
  Parameters:
    `dialect` - The dialect to check against.
  Returns:
    True if this database object does apply to the given dialect.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD